Subject: Offline Message from Ignacio Tejedor: Hello, I have placed an order with Mumz
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 20 Jun 2020 22:23:55 -0000

From: Ignacio Tejedor <[email-masked]>
Phone: 
Location: Dhahran, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/shipping-rates
Department: 

Hello, I have placed an order with Mumzworld a month ago and still do not know anything about my order. I have been sent the shipment information, but I cannot even track my package. I have tried to get in touch with your customer service several times, but never successfully. I’m loosing my patience. Please respond. Order number 100150691

----
Zopim
https://www.zopim.com